### Method

# Gtk TextIterset_line_index

#### Declaration [src]

    void
    gtk_text_iter_set_line_index (
      GtkTextIter* iter,
      int byte_on_line
    )

#### Description [src]

Same as `gtk_text_iter_set_line_offset()`, but works with a byte index. The given byte index must be at the start of a character, it can’t be in the middle of a UTF-8 encoded character.

#### Parameters

`byte_on_line`

  Type: `int`

  A byte index relative to the start of `iter`’s current line.